package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.FileExportDto;
import com.xy.utils.PageBean;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 文件导出 服务类
 * </p>
 *
 * @author 谭斌
 * @since 2023-03-04
 */
@RestMappingController("/file-export")
public interface FileExportService {


    @PostMapping("obj")
    public R<FileExportDto.Vo> obj(@RequestBody FileExportDto.Vo vo);

    @PostMapping("list")
    public R<List<FileExportDto.Vo>> list(@RequestBody FileExportDto.SelectList selectList);

    @PostMapping("page")
    public R<PageBean<FileExportDto.Vo>> page(@RequestBody FileExportDto.Page page);

    @PostMapping("save")
    public R save(@RequestBody @Validated FileExportDto.Save save);

    @PostMapping("update")
    public R update(@RequestBody @Validated FileExportDto.Update update);

}
